# TdApi.PollOption (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PollOption

Package it.tdlight.jni

# Class TdApi.PollOption

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PollOption

Enclosing class:
  TdApi

    public static class TdApi.PollOption
    extends TdApi.Object

Describes one answer option of a poll.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isBeingChosen` | True, if the option is being chosen by a pending setPollAnswer request.
`boolean` | `isChosen` | True, if the option was chosen by the user.
`String` | `text` | Option text; 1-100 characters.
`int` | `votePercentage` | The percentage of votes for this option; 0-100.
`int` | `voterCount` | Number of voters for this option, available only for closed or voted polls.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PollOption()` | Describes one answer option of a poll.
`PollOption​(DataInput input)` |
`PollOption​(String text, int voterCount, int votePercentage, boolean isChosen, boolean isBeingChosen)` | Describes one answer option of a poll.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
Option text; 1-100 characters.

### voterCount

public int voterCount
Number of voters for this option, available only for closed or voted polls.

### votePercentage

public int votePercentage
The percentage of votes for this option; 0-100.

### isChosen

public boolean isChosen
True, if the option was chosen by the user.

### isBeingChosen

public boolean isBeingChosen
True, if the option is being chosen by a pending setPollAnswer request.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PollOption

public PollOption()
Describes one answer option of a poll.

### PollOption

public PollOption​(String text, int voterCount, int votePercentage, boolean isChosen, boolean isBeingChosen)
Describes one answer option of a poll.

Parameters:
  `text` - String Option text; 1-100 characters.
  `voterCount` - int Number of voters for this option, available only for closed or voted polls.
  `votePercentage` - int The percentage of votes for this option; 0-100.
  `isChosen` - boolean True, if the option was chosen by the user.
  `isBeingChosen` - boolean True, if the option is being chosen by a pending setPollAnswer request.

### PollOption

public PollOption​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`